package com.iamberry.wechat.service.member.dao;

import java.util.List;

import com.iamberry.wechat.core.entity.Page;
import com.iamberry.wechat.core.entity.member.Integral;
import com.iamberry.wechat.core.entity.member.Member;

/**
 * 
 *		description: 用户积分记录接口
 * 	   		@author: 张应真
 *	    @createDate: 2016年4月19日
 */
public interface IntegralDao  {
	/**
	 * 查询所有积分记录
	 * @return
	 */
	List<Integral> getAllIntegral();
	/**
	 * 获取记录总数量
	 * @return
	 */
	Integer getCount(Member member);
	/**
	 * 积分列表分页
	 * @param pageSize
	 * @param index
	 * @return
	 */
	List<Integral> getIntegralByPage(Page page);
	/**
	 * 单个用就户所有积分列表
	 * @param openId
	 * @return
	 */
	List<Integral> getIntegralListByOpenId(Member member);

	/**
	 * 添加积分记录
	 * @param integer
	 * @return
	 */
	public Integer insertIntegralLogs(Integral integer);
}
